/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomWebKitAnimationEvent_H__
#define __GdomWebKitAnimationEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomWebKitAnimationEvent GdomWebKitAnimationEvent;
typedef struct _GdomWebKitAnimationEventClass GdomWebKitAnimationEventClass;


#define GDOM_TYPE_WEB_KIT_ANIMATION_EVENT            (gdom_web_kit_animation_event_get_type())
#define GDOM_WEB_KIT_ANIMATION_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_WEB_KIT_ANIMATION_EVENT, GdomWebKitAnimationEvent))
#define GDOM_WEB_KIT_ANIMATION_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_WEB_KIT_ANIMATION_EVENT, GdomWebKitAnimationEvent)Class)
#define GDOM_IS_WEB_KIT_ANIMATION_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_WEB_KIT_ANIMATION_EVENT))
#define GDOM_IS_WEB_KIT_ANIMATION_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_WEB_KIT_ANIMATION_EVENT))
#define GDOM_WEB_KIT_ANIMATION_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_WEB_KIT_ANIMATION_EVENT, GdomWebKitAnimationEventClass))

typedef struct _GdomWebKitAnimationEventPrivate GdomWebKitAnimationEventPrivate;

struct _GdomWebKitAnimationEvent {
    GdomEvent parent_instance;
    GdomWebKitAnimationEventPrivate *priv;
};

struct _GdomWebKitAnimationEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_web_kit_animation_event_get_type (void);

WEBKIT_API void
gdom_web_kit_animation_event_init_web_kit_animation_event (GdomWebKitAnimationEvent *thiz, gchar * type_arg, gboolean can_bubble_arg, gboolean cancelable_arg, gchar * animation_name_arg, gdouble elapsed_time_arg);

G_END_DECLS

#endif /* __GdomWebKitAnimationEvent_H__ */
